summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-04-29 17:14:01 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-04-29 17:14:01 (GMT)
commit9f193febf5bfa2b0bfa81e90aff613fe030017bf (patch)
tree9ff3eaa2d2e92a5aa0635820bf93a889dccb7f05
parent2f5a1b2308970a75d03b90bfcfa1fb106ae341d7 (diff)
downloadlinhes_pkgbuild-9f193febf5bfa2b0bfa81e90aff613fe030017bf.zip
linhes_pkgbuild-9f193febf5bfa2b0bfa81e90aff613fe030017bf.tar.gz
linhes_pkgbuild-9f193febf5bfa2b0bfa81e90aff613fe030017bf.tar.bz2
mythflix: changed pkgbuild to error out when the make fails.
Added program lib to pro file
-rw-r--r--abs/core-testing/mythtv/stable/mythflix/PKGBUILD14
1 files changed, 11 insertions, 3 deletions
diff --git a/abs/core-testing/mythtv/stable/mythflix/PKGBUILD b/abs/core-testing/mythtv/stable/mythflix/PKGBUILD
index b636e30..c5bb32e 100644
--- a/abs/core-testing/mythtv/stable/mythflix/PKGBUILD
+++ b/abs/core-testing/mythtv/stable/mythflix/PKGBUILD
@@ -3,6 +3,7 @@
# Maintainer: kleptophobiac@gmail.com
pkgname=mythflix
+PLUGIN=$pkgname
pkgver=0.21
pkgrel=4
pkgdesc="Netflix access plugin for MythTV"
@@ -18,15 +19,22 @@ build() {
cd $startdir/src/mythplugins
. /etc/profile.d/qt3.sh
svn update
-
- # use QT3 qmake
+ cd $startdir/src/mythplugins
+ grep -q programs-libs.pro $PLUGIN/$PLUGIN/$PLUGIN.pro
+ if [ $? != 0 ]
+ then
+ echo "include ( ../../programs-libs.pro )" >> $PLUGIN/$PLUGIN/$PLUGIN.pro
+ msg "appending program lib"
+ fi
+ cd -
+ # use QT3 qmake
export PATH=$QTDIR/bin:$PATH
./configure --prefix=/usr --disable-all --enable-opengl --enable-mythflix
qmake mythplugins.pro
make qmake || return 1
# make -j 2 || return 1
- make
+ make || return 1
make INSTALL_ROOT=$startdir/pkg install
}